developer mode toggle does nothing

Bug #1510919 reported by John McAleely on 2015-10-28
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Canonical System Image
Critical
Zoltan Balogh
ubuntu-ui-toolkit (Ubuntu RTM)
Critical
Zsombor Egri

Bug Description

Last know good image: 157
Commit log for 158: http://people.canonical.com/~lzemczak/landing-team/ubuntu-touch/rc-proposed/158.commitlog

TEST CASE:
1. Flash a device with bootstrap or upgrade to latest image
2. Go to system-settings / About / Developer mode
3. Toggle developer mode

ACTUAL RESULT
On a freshly flashed device, toggling dev mode on does nothing
On an upgraded device with dev mode enabled, toggling dev mode off does nothing

WORKAROUND
Flash with --developer-mode

= original description =
Using a krillin on rc-proposed, developer mode does not enable an adb shell:

ubuntu-touch/rc-proposed/bq-aquaris.en #159

$ ubuntu-device-flash touch --bootstrap --channel ubuntu-touch/rc-proposed/bq-aquaris.en --recovery-image recovery-krillin.img

Then boot device to wizard, walk through (I configured wifi, 5555 passcode and have 2 SIMs online in the device). Defaults for location.

Open System settings | about this phone | developer mode

Enable developer mode

On your pc:

$ adb shell
error: device not found

Expected: a phablet shell on the device.

Additionally, if you now reboot, the setting for developer mode is forgotten.

Related branches

Jean-Baptiste Lallement (jibel) wrote :

confirmed by om26er on latest arale this morning

Changed in canonical-devices-system-image:
importance: Undecided → Critical
milestone: none → ww46-2015
status: New → Confirmed
assignee: nobody → John McAleely (john.mcaleely)
John McAleely (john.mcaleely) wrote :

the buggy behaviour is also present in --bootstrap #158, same channel, same device

Jean-Baptiste Lallement (jibel) wrote :

A reboot is not necessary, existing and reopening the developer mode page is enough.

description: updated
Jean-Baptiste Lallement (jibel) wrote :

system settings logs with the broken toggle.

On an upgraded system with developer mode already enabled it is not possible to disable it.

description: updated
tags: added: regression-proposed
summary: - adb not responding
+ developer mode toggle does nothing
description: updated
Jonas G. Drange (jonas-drange) wrote :

Seems not to be present on mako:

$ system-image-cli -i
current build number: 272
device name: mako
channel: ubuntu-touch/rc-proposed/ubuntu
last update: 2015-10-26 22:32:25
version version: 272
version ubuntu: 20151026
version device: 20150911
version custom: 20151026

I do get the warnings however, described in #4.

Jean-Baptiste Lallement (jibel) wrote :

Reverting these imports in /usr/share/ubuntu/settings/system/qml-plugins/about/DevMode.qml to 0.1 fixes the problem:

import Ubuntu.Components 1.3
import Ubuntu.Components.ListItems 1.3 as ListItem

Changed in canonical-devices-system-image:
assignee: John McAleely (john.mcaleely) → Zoltan Balogh (bzoltan)
Changed in ubuntu-ui-toolkit (Ubuntu):
importance: Undecided → Critical
status: New → Confirmed
assignee: nobody → Zoltan Balogh (bzoltan)
Zsombor Egri (zsombi) wrote :

2015-10-28 13:40:25,358 - WARNING - QQmlExpression: Expression file:///usr/share/ubuntu/settings/system/qml-plugins/about/DevMode.qml:94:30 depends on non-NOTIFYable properties:
2015-10-28 13:40:25,358 - WARNING - StorageAbout::developerMode
2015-10-28 13:40:33,696 - WARNING - QQmlExpression: Expression file:///usr/share/ubuntu/settings/system/qml-plugins/about/DevMode.qml:94:30 depends on non-NOTIFYable properties:
2015-10-28 13:40:33,697 - WARNING - StorageAbout::developerMode

These warnings I assume come to the line [1]. If the property value is false during the Switch.checked property initialization, the actual value will not be updated to the Switch, as the property it is bound to has no notify signal.

[1] http://bazaar.launchpad.net/~system-settings-touch/ubuntu-system-settings/trunk/view/head:/plugins/about/DevMode.qml#L94

Jonas G. Drange (jonas-drange) wrote :

Mako is affected, I was running the wrong build. Please ignore comment #5.

Zsombor Egri (zsombi) on 2015-10-28
Changed in ubuntu-ui-toolkit (Ubuntu):
status: Confirmed → In Progress
assignee: Zoltan Balogh (bzoltan) → Zsombor Egri (zsombi)
Zsombor Egri (zsombi) on 2015-10-28
Changed in canonical-devices-system-image:
status: Confirmed → In Progress
Changed in canonical-devices-system-image:
status: In Progress → Fix Committed
Zsombor Egri (zsombi) on 2015-11-03
Changed in ubuntu-ui-toolkit (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-ui-toolkit - 1.3.1705+16.04.20151031-0ubuntu1

---------------
ubuntu-ui-toolkit (1.3.1705+16.04.20151031-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * Resync trunk. added: po/vi.po

  [ Christian Dywan ]
  * Smaller handlers, entirely draggable caret (LP: #1450222)

  [ Zsombor Egri ]
  * Switch and CheckBox fix when checked is not toggled when clicked()
    signal is emitted. (LP: #1510919)

 -- Zoltan Balogh <email address hidden> Sat, 31 Oct 2015 04:59:31 +0000

Changed in ubuntu-ui-toolkit (Ubuntu):
status: Fix Committed → Fix Released
Changed in canonical-devices-system-image:
status: Fix Committed → Fix Released
Zoltan Balogh (bzoltan) on 2015-12-05
affects: ubuntu-ui-toolkit (Ubuntu) → ubuntu-ui-toolkit (Ubuntu RTM)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers